import QtQuick 1.0

Rectangle {
    width: 360
    height: 360
    Text {
        text: qsTr("Hello World")
        anchors.centerIn: parent
    }

    MouseArea {
      anchors.fill: parent;
      onClicked: {
        console.log("Hello world");
      }
    }

    Rectangle {
      id: tlacitko;
      x:0;
      y: 0;
      width: 100;
      height: 100;
      color: tlacitkoMys.pressed ? "#ff0000" : "#00ff00"
      border.color: "#0000ff";
      border.width: 1;
      MouseArea {
        id: tlacitkoMys
        anchors.fill: parent;
        onClicked: {
          tlacitko.x = (tlacitko.x == 0) ? 100 : 0;
        }
      }

      Behavior on x {
          NumberAnimation { duration: 100 }
      }


    }
}